# Research Projects

This repository contains reports from various research projects focusing mostly on Data Science.
**Please note that the papers were translated to English from French for sharing purposes. All the original work was done in French.**

## Reports
*   [**1- AI for Integrated Electronic Circuit Diagnostics (May 2023)**](https://gitlab.ec-lyon.fr/nbouchai/adiagnosis-integrated-electronic-circuits)

    *   **Abstract:** This research project explores using artificial intelligence for fault diagnosis in integrated electronic circuits. It specifically focuses on applying machine learning models based on convolutional neural networks. The industrial goal is to identify the position and nature of faults from a series of tests on a faulty circuit, especially intermittent faults, which are not addressed by current industrial tools. This study proposes a fault diagnosis method using convolutional neural networks that accounts for intermittent faults and evaluates the models' performance against standard industrial diagnostic tools.
    *   **Keywords:** CNN, Intermittent faults, Tensorflow

*   [**2- Data Science for Electric Battery Performance (August 2023)**](https://gitlab.ec-lyon.fr/nbouchai/data-and-ai-research-projects/-/blob/main/2-%20Data%20Science%20for%20Electric%20Battery%20Performance.pdf?ref_type=heads)

    *   **Abstract:** This report details an internship project within the Materials Center of Excellence (CoE) that explored using machine learning algorithms to simulate battery performance. The project aimed to identify new business opportunities for Hexagon through battery innovation. This exploratory phase focused on research using available databases. The report summarizes the approach, challenges, simulation results, and their potential implications. The incubation studies suggest the viability of using AI and machine learning for battery performance research at Hexagon. The simulations show promise as a cost-effective way to test innovative concepts for advanced battery materials.
    *   **Keywords:** ML, Data preprocessing, Electric battery performance
*   [**3- Planes and Fluid Forces (March 2024)**](https://gitlab.ec-lyon.fr/nbouchai/data-and-ai-research-projects/-/blob/main/3-%20Planes%20and%20Fluid%20Forces.pdf?ref_type=heads)

    *   **Abstract:** This report characterizes the forces acting on an aircraft, focusing on optimizing operation and fuel consumption. Key findings include the stall angle of the studied wing profile (12°), the importance of flaps during takeoff, and the optimal wing angle of incidence (1° to 6°). The report also analyzes pressure contours, wake creation, and the relationship between fuel flow and thrust in turbojets.
    *   **Keywords:** Lift, Drag, Airfoil, Static pressure, Thrust force , Matlab , Fluent

*   [**4- Data Management: Blue Jeans Factory (December 2024)**](https://gitlab.ec-lyon.fr/nbouchai/database-management-system-project)

    *   **Description:** This project focuses on creating a data management system and a Streamlit application for "Cotton Blue," a jeans manufacturing plant. The system manages data related to production and workday employees, including their activities, production numbers, salaries, attendance, and bonuses. The project addresses specific business rules related to late arrivals, overtime, and annual bonuses.
    *   **Keywords:** Data management, Streamlit, SQLite, Pandas, Access Control, Entity Association Diagram, Data integrity


*   [**5- Data-Driven Methods for PE and VC (June 2023)**](https://gitlab.ec-lyon.fr/nbouchai/data-and-ai-research-projects/-/blob/main/5-%20Data-Driven%20Methods%20for%20PE%20and%20VC.pdf?ref_type=heads)

    *   **Description:** This project investigates how web scraping and data enrichment techniques can improve the efficiency and scope of startup sourcing and evaluation for Private Equity (PE) and Venture Capital (VC) firms, overcoming the limitations of traditional, manual methods.
    *   **Keywords:** Webscraping, Venture Capital

*   [**6- Enhancing Fraud Detection with Machine Learning: A Case Study for BNP Paribas Personal Finance (May 2023)**](https://gitlab.ec-lyon.fr/nbouchai/data-challenge-bnp-parisbas-finance)


    *   **Abstract:** This project focuses on developing a machine learning-based fraud detection system to address financial losses caused by fraudulent activities within BNP Paribas Personal Finance. The problem is treated as a highly imbalanced binary classification task, with only ~1.45% of data representing fraudulent cases. Three primary methods are explored: boosted tree algorithms (XGBoost, LightGBM, CatBoost), neural networks, and preprocessing techniques, aiming to enhance detection accuracy. Model evaluation uses the area under the Precision-Recall curve (PR-AUC), with benchmark scores guiding improvement. Key innovations include addressing class imbalance via parameter adjustments and leveraging ensemble techniques. The best-performing model achieves a PR-AUC score of 0.238, outperforming existing benchmarks.

    *   **Keywords:** Fraud detection, Machine learning, Neural networks, Class imbalance, Data preprocessing, BNP Paribas

*   [**7-  Use of solar sails to deorbit satellites in low-Earth orbit (July 2021)**](https://gitlab.ec-lyon.fr/nbouchai/data-and-ai-research-projects/-/blob/main/7-%20solar%20sail%20to%20deorbit%20satellites%20in%20low-Earth%20orbit.pdf?ref_type=heads)
    *   This was one of my first research projects, which I have kept to document my progress. The slides were translated from French, hence the presence of some French words in the figures.

 
## Usage

Each report is contained within its own directory (or file). You can navigate to the specific report you are interested in to view the full document.
